html:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  #border: 1vh double #d2fbfb;
  #border-radius: 10px;
  z-index: -1;
}

body {
  background-color: black;
  background-image: url("Puppet.jpg");
  background-size: cover;
  background-position: center;
  margin: 0;
  padding: 0;
  min-height: 100vh;
  background-repeat: no-repeat;
}
        input[type="password"] {
            color: #e5ded5;
            font-family: "Lucida Console", monospace;
           text-align: center;
            padding: 10px;
            font-size: 16px;
            border: 2px solid #ddd;
            border-radius: 4px;
            margin: 10px;
        }
/* Shared box styling */
.center,
.top {
  margin: 20px auto;
  text-align: center;
  border: 3px double #d2fbfb;
  border-radius: 10px;
  padding: 5px;
  max-width: 90%;
  width: 500px;
  background-color: #000;
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  text-shadow: 0 0 10px #009BF0; 
}

.center {
  margin-top: 10vh;
  opacity: 0.5;
}
h1 {
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  text-shadow: 0 0 10px #009BF0;
}
h2 {
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  text-shadow: 0 0 10px #009BF0;
}
h3 {
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  text-shadow: 0 0 10px #009BF0;
}
h4 {
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  #text-shadow: 0 0 10px #009BF0;
}
p, a, ul, figcaption {
  font-family: "Lucida Console", monospace;
  color: #d2fbfb;
  text-shadow: 0 0 1px #ffffff;
}

p, a {
  font-size: 1.125rem; /* ~18px */
}

a {
  padding: 15px;
}

ul {
  font-size: 0.875rem; /* ~14px */
  padding-left: 2rem;
}


details {
  color: #e5ded5;
  font-family: "Lucida Console", monospace;
  #text-shadow: 0 0 10px #009BF0;
}
.container1 {
  display: none;
  justify-content: space-between;
  flex-direction: row;
  height: 5vh;
}
.container2 {
  display: none;
  justify-content: space-between;
  flex-direction: row;
  height: 5vh;
}
  button {
  color: white;
  font-family: "Lucida Console", monospace;
  width: 20vh;
  height: 7vh;
  text-shadow: 0 0 10px #009BF0;
  background-color: #0453d1;
  #opacity: 0.5;
  border-color: black;
}
/* Media Query for Small Screens */
@media (max-width: 600px) {
  .center, .top {
    width: 95%;
    padding: 10px;
  }

  ul {
    padding-left: 1rem;
  }
}

@media (min-width: 900px) {
  .center,
  .top {
    width: 80%;  /* Adjust to make elements more spacious */
    margin-top: 10vh; /* Keep it vertically centered */
  }

  h1 {
    font-size: 2.5rem; /* Larger font for desktop */
  }

  p, a {
    font-size: 1.25rem; /* Slightly larger font for desktop */
  }

  ul {
    padding-left: 3rem;
  }

  figcaption {
    font-size: 1rem; /* Larger font for desktop */
  }
}
